package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformIllegalMsg {
    private Long id;

    private Long accountId;

    private Long videoId;

    private String title;

    private String businessType;

    private String illegalTitle;

    private String illegalContent;

    private Integer status;

    private Long createTimestamp;

    private Long updateTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getIllegalTitle() {
        return illegalTitle;
    }

    public void setIllegalTitle(String illegalTitle) {
        this.illegalTitle = illegalTitle;
    }

    public String getIllegalContent() {
        return illegalContent;
    }

    public void setIllegalContent(String illegalContent) {
        this.illegalContent = illegalContent;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", accountId=").append(accountId);
        sb.append(", videoId=").append(videoId);
        sb.append(", title=").append(title);
        sb.append(", businessType=").append(businessType);
        sb.append(", illegalTitle=").append(illegalTitle);
        sb.append(", illegalContent=").append(illegalContent);
        sb.append(", status=").append(status);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append("]");
        return sb.toString();
    }
}